//
//  MpItem.swift
//  MpAccDemo
//
//  Created by Robin on 2023/10/16.
//

import UIKit

@resultBuilder
struct ItemBuilder {
    static func buildBlock(_ items: MpItem...) -> [MpItem] {
        return items
    }
}

class MpItem: NSObject {
    var title: String
    private let obj: Any?
    var on: Bool
    init(title: String, obj: Any? = nil, on: Bool) {
        self.title = title
        self.obj = obj
        self.on = on
    }
    func getObj<Object>() -> Object {
        return obj as! Object
    }
}
